{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.local.services.pass;
in {
  options.local.services.pass = {
    enable = mkEnableOption "pass settings";
  };
  config = mkIf cfg.enable {
    programs.password-store = {
      enable = true;
      package = pkgs.pass.withExtensions (exts:
        with exts; [
          pass-audit
          pass-genphrase
          pass-otp
          pass-tomb
          pass-update
        ]);

      settings = {
        PASSWORD_STORE_DIR = "${config.home.homeDirectory}/safe/trust";
      };
    };
  };
}
